#include<iostream>
#include<string>

using namespace std;

string napraviNiz(long int ,long int, char, char);

int main(void)
{
    string ulazna_slova;
    long int a1, a2;
    char c1, c2;

    cin>>ulazna_slova;
    cin>>a1>>a2;

    c1 = ulazna_slova[0];
    c2 = ulazna_slova[1];

    string rezultat;

    if(a1 == a2){
        rezultat = napraviNiz(a1,a2,c1,c2);
    }
    else if(a1 == (a2+1)){
        rezultat = napraviNiz(a1,a2,c1,c2);
    }
    else if(a2 == (a1+1)){
        rezultat = napraviNiz(a1,a2,c1,c2);
    }
    else
        rezultat = "nemoguce";

    cout<<rezultat;

    return 0;
}


string napraviNiz(long int a1, long int a2, char c1, char c2)
{
    string rezultat;

    if(a1 == (a2+1))
        for(long int i = 0; i < (a1+a2); ++i){
            if((i%2)==0)
                rezultat.push_back(c1);
            else
                rezultat.push_back(c2);
        }
    else if(a2 == (a1+1))
        for(long int i = 0; i < (a1+a2); ++i){
            if((i%2)==0)
                rezultat.push_back(c2);
            else
                rezultat.push_back(c1);
        }
    else if(a1 == a2)
        for(long int i = 0; i < (a1+a2); ++i){
            if((i%2)==0)
                rezultat.push_back(c2);
            else
                rezultat.push_back(c1);
        }


    return rezultat;
}